Manufacturers

Add, edit, and delete anything related to manufacturers.

Manufacturer

manufacturer_id
integer

The ID of the manufacturer. Leave blank when adding a new manufacturer or sending an update.

manufacturer_name
string

The name of the manufacturer

clicks
integer

Number of times this has been viewed

post_id
integer

The post ID in WordPress for this store_item in your store.

{
  • "manufacturer_id": 0,
  • "manufacturer_name": "string",
  • "clicks": 0,
  • "post_id": 0
}

Gets a list of manufacturers

This allows you to get a list of manufacturers

SecuritybearerAuth or basicAuth
Request
query Parameters
page
integer <int64>

Page number starting at 1

perpage
integer <int64>

Number of items per page

sortby
string

Sort results by term

sortdir
string

Sort results ASC or DESC

search
string

Filter manufacturers by a search term

Responses
200

Successful operation

400

Unauthorized

get/manufacturers
Request samples
Response samples
application/json
[
  • {
    }
]

Add a manufacturer

This allows you to add a new manufacturer

SecuritybearerAuth
Request
Request Body schema: application/json
required

Submit any or all elements to add a new manufacturer.

manufacturer_name
required
string

The name of the manufacturer

clicks
integer

Number of times this has been viewed

post_id
integer

The post ID in WordPress for this store_item in your store.

Responses
200

Successful operation

400

Unauthorized

post/manufacturers
Request samples
application/json
{
  • "manufacturer_name": "string",
  • "clicks": 0,
  • "post_id": 0
}
Response samples
application/json
{
  • "manufacturer_id": 0,
  • "manufacturer_name": "string",
  • "clicks": 0,
  • "post_id": 0
}

Gets a manufacturer by ID

This allows you to get a manufacturer from your store by manufacturer ID

SecuritybearerAuth or basicAuth
Request
path Parameters
manufacturer_id
required
integer <int64>

Manufacturer ID

Responses
200

Successful operation

400

Unauthorized

get/manufacturers/{manufacturer_id}
Request samples
Response samples
application/json
{
  • "manufacturer_id": 0,
  • "manufacturer_name": "string",
  • "clicks": 0,
  • "post_id": 0
}

Updates a manufacturer by ID

This allows you to update a manufacturer

SecuritybearerAuth
Request
path Parameters
manufacturer_id
required
integer <int64>

Manufacturer ID

Request Body schema: application/json
required

Submit any or all elements to update the manufacturer.

manufacturer_name
string

The name of the manufacturer

clicks
integer

Number of times this has been viewed

post_id
integer

The post ID in WordPress for this store_item in your store.

Responses
200

Successful operation

400

Unauthorized

patch/manufacturers/{manufacturer_id}
Request samples
application/json
{
  • "manufacturer_name": "string",
  • "clicks": 0,
  • "post_id": 0
}
Response samples
application/json
{
  • "manufacturer_id": 0,
  • "manufacturer_name": "string",
  • "clicks": 0,
  • "post_id": 0
}

Deletes a manufacturer by ID

This allows you to delete a manufacturer from your store

SecuritybearerAuth
Request
path Parameters
manufacturer_id
required
integer <int64>

Manufacturer ID

Responses
200

Successful operation

400

Unauthorized

delete/manufacturers/{manufacturer_id}
Request samples
Response samples
application/json
{
  • "manufacturer_id": 0,
  • "manufacturer_name": "string",
  • "clicks": 0,
  • "post_id": 0
}